Ubuntu

linux: 3.2.0-24.38 -proposed tracker

Reported by Luis Henriques on 2012-04-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-24.38 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 30. April 2012 12:42 UTC
kernel-stable-Prepare-package-end:Tuesday, 01. May 2012 22:32 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 01. May 2012 22:32 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 02. May 2012 06:01 UTC
kernel-stable-Verification-testing-start:Wednesday, 02. May 2012 07:02 UTC
kernel-stable-Verification-testing-end:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Certification-testing-start:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Security-signoff-start:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Regression-testing-start:Saturday, 05. May 2012 02:46 UTC
kernel-stable-Security-signoff-end:Tuesday, 08. May 2012 17:15 UTC
kernel-stable-Regression-testing-end:Thursday, 17. May 2012 20:30 UTC
kernel-stable-Promote-to-updates-start:Friday, 18. May 2012 15:30 UTC
kernel-stable-Certification-testing-end:Friday, 18. May 2012 15:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 21. May 2012 15:00 UTC
kernel-stable-Promote-to-updates-end:Monday, 21. May 2012 15:00 UTC

Luis Henriques (henrix) on 2012-04-30
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 992917

description: updated
Brad Figg (brad-figg) on 2012-05-02
description: updated
Brad Figg (brad-figg) on 2012-05-02
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs verified, releasing for testing.

Brad Figg (brad-figg) on 2012-05-05
description: updated

Hardware Certification will begin testing this kernel now, but completion may be delayed due to attendance of lab engineers at UDS.

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-08
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-05-17
description: updated

Hardware Certification has completed testing on 28/28 systems. No regressions were observed. Please note that the set of systems tested will change for the next SRU after certification of systems is complete. Results are available here: http://people.canonical.com/~hwcert/sru-testing/wk20_2012/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-05-18
description: updated
Martin Pitt (pitti) on 2012-05-21
Changed in linux (Ubuntu):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux - 3.2.0-24.38

---------------
linux (3.2.0-24.38) precise-proposed; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #991925

  [ Herton Ronaldo Krzesinski ]

  * linux: add Build-Depends for libnewt-dev, to enable perf TUI support
    - LP: #981717

  [ Tim Gardner ]

  * SAUCE: Allow filtering of cpufreq drivers
    - LP: #984288

  [ Upstream Kernel Changes ]

  * x86 bpf_jit: fix a bug in emitting the 16-bit immediate operand of AND
    - LP: #981162
  * tg3: Fix 5717 serdes powerdown problem
    - LP: #981162
  * sky2: dont overwrite settings for PHY Quick link
    - LP: #981162
  * rose_dev: fix memcpy-bug in rose_set_mac_address
    - LP: #981162
  * net: usb: cdc_eem: fix mtu
    - LP: #981162
  * Fix non TBI PHY access; a bad merge undid bug fix in a previous commit.
    - LP: #981162
  * ASoC: wm8994: Update WM8994 DCS calibration
    - LP: #981162
  * mtd: ixp4xx: oops in ixp4xx_flash_probe
    - LP: #981162
  * mtd: mips: lantiq: reintroduce support for cmdline partitions
    - LP: #981162
  * mtd: nand: gpmi: use correct member for checking NAND_BBT_USE_FLASH
    - LP: #981162
  * mtd: sst25l: initialize writebufsize
    - LP: #981162
  * mtd: block2mtd: initialize writebufsize
    - LP: #981162
  * mtd: lart: initialize writebufsize
    - LP: #981162
  * mtd: m25p80: set writebufsize
    - LP: #981162
  * ACPI: Do cpufreq clamping for throttling per package v2
    - LP: #981162
  * PNPACPI: Fix device ref leaking in acpi_pnp_match
    - LP: #981162
  * modpost: fix ALL_INIT_DATA_SECTIONS
    - LP: #981162
  * genirq: Adjust irq thread affinity on IRQ_SET_MASK_OK_NOCOPY return
    value
    - LP: #981162
  * tracing: Fix ftrace stack trace entries
    - LP: #981162
  * tracing: Fix ent_size in trace output
    - LP: #981162
  * m68k/mac: Add missing platform check before registering platform
    devices
    - LP: #981162
  * mac80211: fix possible tid_rx->reorder_timer use after free
    - LP: #981162
  * rtlwifi: rtl8192ce: rtl8192cu: rtl8192de: Fix low-gain setting when
    scanning
    - LP: #981162
  * drm: Validate requested virtual size against allocated fb size
    - LP: #981162
  * drm/radeon/kms: fix fans after resume
    - LP: #981162
  * drm/i915: no-lvds quirk on MSI DC500
    - LP: #981162
  * drm/i915: Add lock on drm_helper_resume_force_mode
    - LP: #981162
  * drm/i915: quirk away broken OpRegion VBT
    - LP: #981162
  * r8169: runtime resume before shutdown.
    - LP: #981162
  * target: Fix unsupported WRITE_SAME sense payload
    - LP: #981162
  * kgdb,debug_core: pass the breakpoint struct instead of address and
    memory
    - LP: #981162
  * kgdbts: Fix kernel oops with CONFIG_DEBUG_RODATA
    - LP: #981162
  * kgdbts: (1 of 2) fix single step awareness to work correctly with SMP
    - LP: #981162
  * kgdbts: (2 of 2) fix single step awareness to work correctly with SMP
    - LP: #981162
  * x86,kgdb: Fix DEBUG_RODATA limitation using text_poke()
    - LP: #981162
  * CIFS: Fix VFS lock usage for oplocked files
    - LP: #981162
  * ARM: tegra: remove Tegra30 errata from MACH_TEGRA_DT
    - LP: #981162
  * mmc: sdhci-dove: Fix compile error by...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers